<script src="./Script.js"></script>

<template>
  <div style="width: 100%; height: 400px;">
    <div v-if="chartData">
      <div v-if="chartData.chart_exists">
        <div
          :id="'report_attribute_' + chartData.attribute_id"
          ref="chartPie"
          style="height: 400px"
        ></div>
      </div>
      <div v-else>
        <span>{{ chartData.container_text }}</span>
      </div>
    </div>
    <div v-else>
      <span>Không có dữ liệu</span>
    </div>
  </div>
</template>
